Index: /orxonox/trunk/src/world.cc
===================================================================
--- /orxonox/trunk/src/world.cc	(revision 3460)
+++ /orxonox/trunk/src/world.cc	(revision 3461)
@@ -221,5 +221,5 @@
 	    this->localCamera = new Camera(this);
 	    this->localCamera->setName ("camera");
-	    this->getCamera()->bind (myPlayer);
+	    this->localCamera->bind (myPlayer);
 	    this->localPlayer->addChild (this->localCamera);
 
@@ -273,5 +273,5 @@
 	    this->localCamera = new Camera (this);
 	    this->localCamera->setName ("camera");
-	    this->getCamera()->bind (myPlayer);	
+	    this->localCamera->bind (myPlayer);	
 	    this->localPlayer->addChild (this->localCamera);
 
@@ -660,62 +660,4 @@
 }
 
-/** 
-    \brief updates Placements and notifies entities when they left the 
-    world
-    
-    This runs trough all WorldEntities and maps Locations to Placements 
-    if they are bound, checks whether they left the level boundaries 
-    and calls appropriate functions.
-*/
-void World::update ()
-{
-  /*
-  //List<WorldEntity> *l;
-  WorldEntity* entity;
-  Location* loc;
-  Placement* plc;
-  Uint32 t;
-  
-  //  l = entities->enumerate(); 
-  entity = this->entities->enumerate();
-  while( entity != NULL ) 
-    { 
-
-      
-      if( !entity->isFree() )
-	{
-	  loc = entity->getLocation();
-	  plc = entity->getPlacement();
-	  t = loc->part;
-	  
-	  if( t >= traclen )
-	    {
-	      printf("An entity is out of the game area\n");
-	      entity->leftWorld ();
-	    }
-	  else
-	    {
-	      while( track[t].mapCoords( loc, plc) )
-		{
-		  track[t].postLeave (entity);
-		  if( loc->part >= tracklen )
-		    {
-		      printf("An entity has left the game area\n");
-		      entity->leftWorld ();
-		      break;
-		    }
-		  track[loc->part].postEnter (entity);
-		}
-	    }
-	}
-      else
-	{
-	}
-      
-      entity = entities->nextElement();
-    }
-  */  
-}
-
 
 /**
@@ -891,5 +833,4 @@
       
       /* update tick the rest */
-      this->update ();
       this->localCamera->timeSlice(dt);
       this->trackManager->tick(dt);
@@ -920,15 +861,4 @@
 }
 
-/**
-   \brief give back active camera
-   
-   this passes back the actualy active camera
-   \todo ability to define more than one camera or camera-places
-*/
-Camera* World::getCamera()
-{
-  return this->localCamera;
-}
-
 
 /**
Index: /orxonox/trunk/src/world.h
===================================================================
--- /orxonox/trunk/src/world.h	(revision 3460)
+++ /orxonox/trunk/src/world.h	(revision 3461)
@@ -44,29 +44,19 @@
   virtual void displayLoadScreen();
   virtual void releaseLoadScreen();
-
-
-  /* main functions for world-looping */
-
-  void draw ();
-  void update ();	// maps Locations to Placements
-  //void calcCameraPos (Location* loc, Placement* plc);
-	
+  
+  /* command node functions */
   bool command (Command* cmd);
 
-  
-  //bool system_command (Command* cmd);
-  Camera* getCamera ();
-
+  /* interface to world */
   void spawn (WorldEntity* entity);
   void spawn (WorldEntity* entity, Vector* absCoor, Quaternion* absDir);
 
-  tList<WorldEntity>* entities;//!< A template List of all entities. Every moving thing should be included here, and world automatically updates them.
-  
-  // base level data
-  TrackManager* trackManager;  //!< The reference of the TrackManager that handles the course through the Level.
-  Camera* localCamera;         //!< The current Camera
 
 
  private:
+  TrackManager* trackManager;  //!< The reference of the TrackManager that handles the course through the Level.
+  Camera* localCamera;         //!< The current Camera
+  tList<WorldEntity>* entities;//!< A template List of all entities. Every moving thing should be included here, and world automatically updates them.
+
   Uint32 lastFrame;             //!< last time of frame
   bool bQuitOrxonox;            //!< quit this application
@@ -92,4 +82,5 @@
   void timeSlice ();
   void collide ();
+  void draw ();
   void display ();
   void debug ();