Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3473)
+++ orxonox/trunk/src/Makefile.in	(revision 3474)
@@ -54,8 +54,8 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_orxonox_OBJECTS = orxonox.$(OBJEXT) world.$(OBJEXT) \
-	player.$(OBJEXT) collision.$(OBJEXT) data_tank.$(OBJEXT) \
-	world_entity.$(OBJEXT) vector.$(OBJEXT) camera.$(OBJEXT) \
-	command_node.$(OBJEXT) ini_parser.$(OBJEXT) keynames.$(OBJEXT) \
-	base_entity.$(OBJEXT) game_loader.$(OBJEXT) campaign.$(OBJEXT) \
+	player.$(OBJEXT) data_tank.$(OBJEXT) world_entity.$(OBJEXT) \
+	vector.$(OBJEXT) camera.$(OBJEXT) command_node.$(OBJEXT) \
+	ini_parser.$(OBJEXT) keynames.$(OBJEXT) base_entity.$(OBJEXT) \
+	game_loader.$(OBJEXT) campaign.$(OBJEXT) \
 	story_entity.$(OBJEXT) environment.$(OBJEXT) model.$(OBJEXT) \
 	objModel.$(OBJEXT) array.$(OBJEXT) material.$(OBJEXT) \
@@ -73,5 +73,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/base_entity.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/base_object.Po ./$(DEPDIR)/camera.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/campaign.Po ./$(DEPDIR)/collision.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/campaign.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/command_node.Po ./$(DEPDIR)/curve.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/data_tank.Po \
@@ -214,10 +214,9 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
-AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib"
+AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib" "-I./lib"
 AM_LDFLAGS = $(MWINDOWS)
 orxonox_SOURCES = orxonox.cc \
 		 world.cc \
 		 world_entities/player.cc \
-		 collision.cc \
 		 data_tank.cc \
 		 world_entities/world_entity.cc \
@@ -225,5 +224,5 @@
 		 camera.cc \
 		 command_node.cc \
-		 ini_parser.cc \
+		 lib/ini_parser.cc \
 		 keynames.cc \
 		 base_entity.cc \
@@ -237,5 +236,5 @@
 		 importer/material.cc \
 		 importer/texture.cc \
-		 list.cc \
+		 lib/list.cc \
 		 p_node.cc \
 		 null_parent.cc \
@@ -252,5 +251,4 @@
 noinst_HEADERS = ability.h \
 		 data_tank.h \
-		 collision.h \
 		 world_entities/npc.h \
 		 stdincl.h \
@@ -264,5 +262,5 @@
 		 world_entities/player.h \
 		 camera.h \
-		 ini_parser.h \
+		 lib/ini_parser.h \
 		 power_up.h \
 		 mathlib/vector.h \
@@ -271,10 +269,10 @@
 		 world.h \
 		 command_node.h \
-		 list.h \
+		 lib/list.h \
 		 shoot_laser.h \
 		 world_entities/world_entity.h \
 		 message_structures.h \
 		 shoot_rocket.h \
-		 list_template.h \
+		 lib/list_template.h \
 		 story_entities/story_entity.h \
 		 story_entities/story_def.h \
@@ -378,5 +376,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/camera.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/campaign.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command_node.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curve.Po@am__quote@
@@ -471,4 +468,20 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.obj `if test -f 'mathlib/vector.cc'; then $(CYGPATH_W) 'mathlib/vector.cc'; else $(CYGPATH_W) '$(srcdir)/mathlib/vector.cc'; fi`
 
+ini_parser.o: lib/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ini_parser.o -MD -MP -MF "$(DEPDIR)/ini_parser.Tpo" -c -o ini_parser.o `test -f 'lib/ini_parser.cc' || echo '$(srcdir)/'`lib/ini_parser.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ini_parser.Tpo" "$(DEPDIR)/ini_parser.Po"; else rm -f "$(DEPDIR)/ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/ini_parser.cc' object='ini_parser.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ini_parser.Po' tmpdepfile='$(DEPDIR)/ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ini_parser.o `test -f 'lib/ini_parser.cc' || echo '$(srcdir)/'`lib/ini_parser.cc
+
+ini_parser.obj: lib/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ini_parser.obj -MD -MP -MF "$(DEPDIR)/ini_parser.Tpo" -c -o ini_parser.obj `if test -f 'lib/ini_parser.cc'; then $(CYGPATH_W) 'lib/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/lib/ini_parser.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ini_parser.Tpo" "$(DEPDIR)/ini_parser.Po"; else rm -f "$(DEPDIR)/ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/ini_parser.cc' object='ini_parser.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ini_parser.Po' tmpdepfile='$(DEPDIR)/ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ini_parser.obj `if test -f 'lib/ini_parser.cc'; then $(CYGPATH_W) 'lib/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/lib/ini_parser.cc'; fi`
+
 campaign.o: story_entities/campaign.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT campaign.o -MD -MP -MF "$(DEPDIR)/campaign.Tpo" -c -o campaign.o `test -f 'story_entities/campaign.cc' || echo '$(srcdir)/'`story_entities/campaign.cc; \
@@ -598,4 +611,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o texture.obj `if test -f 'importer/texture.cc'; then $(CYGPATH_W) 'importer/texture.cc'; else $(CYGPATH_W) '$(srcdir)/importer/texture.cc'; fi`
+
+list.o: lib/list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT list.o -MD -MP -MF "$(DEPDIR)/list.Tpo" -c -o list.o `test -f 'lib/list.cc' || echo '$(srcdir)/'`lib/list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/list.Tpo" "$(DEPDIR)/list.Po"; else rm -f "$(DEPDIR)/list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/list.cc' object='list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/list.Po' tmpdepfile='$(DEPDIR)/list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o list.o `test -f 'lib/list.cc' || echo '$(srcdir)/'`lib/list.cc
+
+list.obj: lib/list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT list.obj -MD -MP -MF "$(DEPDIR)/list.Tpo" -c -o list.obj `if test -f 'lib/list.cc'; then $(CYGPATH_W) 'lib/list.cc'; else $(CYGPATH_W) '$(srcdir)/lib/list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/list.Tpo" "$(DEPDIR)/list.Po"; else rm -f "$(DEPDIR)/list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/list.cc' object='list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/list.Po' tmpdepfile='$(DEPDIR)/list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o list.obj `if test -f 'lib/list.cc'; then $(CYGPATH_W) 'lib/list.cc'; else $(CYGPATH_W) '$(srcdir)/lib/list.cc'; fi`
 
 matrix.o: mathlib/matrix.cc
@@ -769,5 +798,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/mathlib $(distdir)/sfont $(distdir)/story_entities $(distdir)/world_entities
+	$(mkdir_p) $(distdir)/lib $(distdir)/mathlib $(distdir)/sfont $(distdir)/story_entities $(distdir)/world_entities
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \