Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3475)
+++ orxonox/trunk/src/Makefile.in	(revision 3476)
@@ -214,5 +214,5 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
-AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib" "-I./lib" "-I./defs" "-I./font"
+AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib" "-I./lib" "-I./defs" "-I./font" "-I./network" "-I./glmenu"
 AM_LDFLAGS = $(MWINDOWS)
 orxonox_SOURCES = orxonox.cc \
@@ -244,5 +244,5 @@
 		 mathlib/matrix.cc \
 		 mathlib/curve.cc \
-		 glmenu_imagescreen.cc \
+		 glmenu/glmenu_imagescreen.cc \
 		 world_entities/skysphere.cc \
 		 light.cc \
@@ -257,5 +257,5 @@
 		 world_entities/environment.h \
 		 orxonox.h \
-		 synchronisable.h \
+		 network/synchronisable.h \
 		 base_entity.h \
 		 defs/error.h \
@@ -270,8 +270,8 @@
 		 command_node.h \
 		 lib/list.h \
-		 shoot_laser.h \
+		 world_entities/shoot_laser.h \
 		 world_entities/world_entity.h \
 		 message_structures.h \
-		 shoot_rocket.h \
+		 world_entities/shoot_rocket.h \
 		 lib/list_template.h \
 		 story_entities/story_entity.h \
@@ -286,5 +286,5 @@
 		 mathlib/matrix.h \
 		 mathlib/curve.h \
-		 glmenu_imagescreen.h \
+		 glmenu/glmenu_imagescreen.h \
 		 defs/debug.h \
 		 world_entities/skysphere.h \
@@ -675,4 +675,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o curve.obj `if test -f 'mathlib/curve.cc'; then $(CYGPATH_W) 'mathlib/curve.cc'; else $(CYGPATH_W) '$(srcdir)/mathlib/curve.cc'; fi`
+
+glmenu_imagescreen.o: glmenu/glmenu_imagescreen.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glmenu_imagescreen.o -MD -MP -MF "$(DEPDIR)/glmenu_imagescreen.Tpo" -c -o glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/glmenu_imagescreen.Tpo" "$(DEPDIR)/glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/glmenu_imagescreen.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='glmenu_imagescreen.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc
+
+glmenu_imagescreen.obj: glmenu/glmenu_imagescreen.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glmenu_imagescreen.obj -MD -MP -MF "$(DEPDIR)/glmenu_imagescreen.Tpo" -c -o glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/glmenu_imagescreen.Tpo" "$(DEPDIR)/glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/glmenu_imagescreen.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='glmenu_imagescreen.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`
 
 skysphere.o: world_entities/skysphere.cc
@@ -830,5 +846,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/font $(distdir)/lib $(distdir)/mathlib $(distdir)/story_entities $(distdir)/world_entities
+	$(mkdir_p) $(distdir)/defs $(distdir)/font $(distdir)/glmenu $(distdir)/lib $(distdir)/mathlib $(distdir)/network $(distdir)/story_entities $(distdir)/world_entities
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \