Index: /orxonox/trunk/src/importer/Makefile.am
===================================================================
--- /orxonox/trunk/src/importer/Makefile.am	(revision 3478)
+++ /orxonox/trunk/src/importer/Makefile.am	(revision 3479)
@@ -1,3 +1,13 @@
-#AM_CXXFLAGS="-I/usr/X11R6/include"
+MAINSRCDIR=..
+AM_CXXFLAGS=-I$(MAINSRCDIR)
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/mathlib
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
+
 AM_LDFLAGS=$(MWINDOWS)
 
@@ -13,5 +23,5 @@
 	  	  material.cc \
 		  texture.cc \
-		  ../vector.cc
+		  $(MAINSRCDIR)/mathlib/vector.cc
 
 noinst_HEADERS= framework.h \
Index: /orxonox/trunk/src/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/importer/Makefile.in	(revision 3478)
+++ /orxonox/trunk/src/importer/Makefile.in	(revision 3479)
@@ -182,6 +182,6 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
-
-#AM_CXXFLAGS="-I/usr/X11R6/include"
+MAINSRCDIR = ..
+AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/mathlib -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu
 AM_LDFLAGS = $(MWINDOWS)
 importer_SOURCES = framework.cc \
@@ -192,5 +192,5 @@
 	  	  material.cc \
 		  texture.cc \
-		  ../vector.cc
+		  $(MAINSRCDIR)/mathlib/vector.cc
 
 noinst_HEADERS = framework.h \
@@ -293,19 +293,19 @@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
-vector.o: ../vector.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT vector.o -MD -MP -MF "$(DEPDIR)/vector.Tpo" -c -o vector.o `test -f '../vector.cc' || echo '$(srcdir)/'`../vector.cc; \
+vector.o: $(MAINSRCDIR)/mathlib/vector.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT vector.o -MD -MP -MF "$(DEPDIR)/vector.Tpo" -c -o vector.o `test -f '$(MAINSRCDIR)/mathlib/vector.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/mathlib/vector.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/vector.Tpo" "$(DEPDIR)/vector.Po"; else rm -f "$(DEPDIR)/vector.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../vector.cc' object='vector.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/mathlib/vector.cc' object='vector.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/vector.Po' tmpdepfile='$(DEPDIR)/vector.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.o `test -f '../vector.cc' || echo '$(srcdir)/'`../vector.cc
-
-vector.obj: ../vector.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT vector.obj -MD -MP -MF "$(DEPDIR)/vector.Tpo" -c -o vector.obj `if test -f '../vector.cc'; then $(CYGPATH_W) '../vector.cc'; else $(CYGPATH_W) '$(srcdir)/../vector.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.o `test -f '$(MAINSRCDIR)/mathlib/vector.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/mathlib/vector.cc
+
+vector.obj: $(MAINSRCDIR)/mathlib/vector.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT vector.obj -MD -MP -MF "$(DEPDIR)/vector.Tpo" -c -o vector.obj `if test -f '$(MAINSRCDIR)/mathlib/vector.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/mathlib/vector.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/mathlib/vector.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/vector.Tpo" "$(DEPDIR)/vector.Po"; else rm -f "$(DEPDIR)/vector.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='../vector.cc' object='vector.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/mathlib/vector.cc' object='vector.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/vector.Po' tmpdepfile='$(DEPDIR)/vector.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.obj `if test -f '../vector.cc'; then $(CYGPATH_W) '../vector.cc'; else $(CYGPATH_W) '$(srcdir)/../vector.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.obj `if test -f '$(MAINSRCDIR)/mathlib/vector.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/mathlib/vector.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/mathlib/vector.cc'; fi`
 uninstall-info-am:
 
Index: /orxonox/trunk/src/importer/framework.cc
===================================================================
--- /orxonox/trunk/src/importer/framework.cc	(revision 3478)
+++ /orxonox/trunk/src/importer/framework.cc	(revision 3479)
@@ -16,5 +16,5 @@
 #include "framework.h"
 
-#include "../vector.h"
+#include "vector.h"
 
 int verbose;
Index: /orxonox/trunk/src/importer/model.h
===================================================================
--- /orxonox/trunk/src/importer/model.h	(revision 3478)
+++ /orxonox/trunk/src/importer/model.h	(revision 3479)
@@ -6,6 +6,4 @@
 #ifndef _MODEL_H
 #define _MODEL_H
-
-//#include "../stdincl.h"
 
 #include "material.h"
Index: /orxonox/trunk/src/importer/windowHandler.h
===================================================================
--- /orxonox/trunk/src/importer/windowHandler.h	(revision 3478)
+++ /orxonox/trunk/src/importer/windowHandler.h	(revision 3479)
@@ -10,5 +10,5 @@
 extern int verbose;
 
-#include "../stdincl.h"
+#include "stdincl.h"
 
 #include <stdarg.h>