Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 3480)
+++ orxonox/trunk/src/Makefile.am	(revision 3481)
@@ -7,4 +7,5 @@
 AM_CXXFLAGS+="-I./network"
 AM_CXXFLAGS+="-I./glmenu"
+AM_CXXFLAGS+="-I./ai"
 
 AM_LDFLAGS= $(MWINDOWS)
@@ -17,5 +18,4 @@
 orxonox_SOURCES= orxonox.cc \
 		 game_loader.cc \
-		 data_tank.cc \
 		 command_node.cc \
 		 keynames.cc \
@@ -28,14 +28,12 @@
 		 track_manager.cc \
 		 light.cc \
-		 \
 		 story_entities/story_entity.cc \
 		 story_entities/campaign.cc \
 		 story_entities/world.cc \
-                 \
 		 world_entities/world_entity.cc \
 		 world_entities/player.cc \
 		 world_entities/environment.cc \
 		 world_entities/skysphere.cc \
-                 \
+		 ai/ai.cc \
 		 importer/array.cc \
 		 importer/objModel.cc \
@@ -43,57 +41,54 @@
 		 importer/material.cc \
 		 importer/texture.cc \
-                 \
 		 mathlib/vector.cc \
 		 mathlib/matrix.cc \
 		 mathlib/curve.cc \
-                 \
+		 lib/data_tank.cc \
 		 lib/ini_parser.cc \
 		 lib/list.cc \
-                 \
 		 glmenu/glmenu_imagescreen.cc \
-                 \
 		 font/fontset.cc 
 
-noinst_HEADERS = ability.h \
-		 data_tank.h \
-		 world_entities/npc.h \
-		 defs/stdincl.h \
+noinst_HEADERS = orxonox.h \
+		 game_loader.h \
+		 track_manager.h \
+		 base_object.h \
+		 p_node.h \
+		 null_parent.h \
+		 helper_parent.h \
 		 glincl.h \
-		 ai.h \
-		 world_entities/environment.h \
-		 orxonox.h \
-		 network/synchronisable.h \
+                 ability.h \
 		 base_entity.h \
-		 defs/error.h \
-		 world_entities/player.h \
 		 camera.h \
-		 lib/ini_parser.h \
 		 power_up.h \
-		 mathlib/vector.h \
 		 keynames.h \
 		 proto_class.h \
-		 story_entities/world.h \
 		 command_node.h \
-		 lib/list.h \
-		 world_entities/shoot_laser.h \
-		 world_entities/world_entity.h \
 		 message_structures.h \
-		 world_entities/shoot_rocket.h \
-		 lib/list_template.h \
+		 light.h \
 		 story_entities/story_entity.h \
 		 story_entities/story_def.h \
-		 game_loader.h \
 		 story_entities/campaign.h \
-		 p_node.h \
-		 null_parent.h \
-		 base_object.h \
-		 helper_parent.h \
-		 track_manager.h \
+		 story_entities/world.h \
+		 world_entities/world_entity.h \
+		 world_entities/player.h \
+		 world_entities/npc.h \
+		 world_entities/environment.h \
+		 world_entities/skysphere.h \
+		 world_entities/shoot_laser.h \
+		 world_entities/shoot_rocket.h \
+		 ai/ai.h \
+		 network/synchronisable.h \
+		 mathlib/vector.h \
 		 mathlib/matrix.h \
 		 mathlib/curve.h \
+		 defs/stdincl.h \
+		 defs/error.h \
+		 defs/debug.h \
+		 lib/data_tank.h \
+		 lib/ini_parser.h \
+		 lib/list.h \
+		 lib/list_template.h \
 		 glmenu/glmenu_imagescreen.h \
-		 defs/debug.h \
-		 world_entities/skysphere.h \
-		 light.h \
 		 font/fontset.h
 
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3480)
+++ orxonox/trunk/src/Makefile.in	(revision 3481)
@@ -54,14 +54,15 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_orxonox_OBJECTS = orxonox.$(OBJEXT) game_loader.$(OBJEXT) \
-	data_tank.$(OBJEXT) command_node.$(OBJEXT) keynames.$(OBJEXT) \
-	camera.$(OBJEXT) base_entity.$(OBJEXT) base_object.$(OBJEXT) \
-	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	command_node.$(OBJEXT) keynames.$(OBJEXT) camera.$(OBJEXT) \
+	base_entity.$(OBJEXT) base_object.$(OBJEXT) p_node.$(OBJEXT) \
+	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
 	track_manager.$(OBJEXT) light.$(OBJEXT) story_entity.$(OBJEXT) \
 	campaign.$(OBJEXT) world.$(OBJEXT) world_entity.$(OBJEXT) \
 	player.$(OBJEXT) environment.$(OBJEXT) skysphere.$(OBJEXT) \
-	array.$(OBJEXT) objModel.$(OBJEXT) model.$(OBJEXT) \
-	material.$(OBJEXT) texture.$(OBJEXT) vector.$(OBJEXT) \
-	matrix.$(OBJEXT) curve.$(OBJEXT) ini_parser.$(OBJEXT) \
-	list.$(OBJEXT) glmenu_imagescreen.$(OBJEXT) fontset.$(OBJEXT)
+	ai.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
+	model.$(OBJEXT) material.$(OBJEXT) texture.$(OBJEXT) \
+	vector.$(OBJEXT) matrix.$(OBJEXT) curve.$(OBJEXT) \
+	data_tank.$(OBJEXT) ini_parser.$(OBJEXT) list.$(OBJEXT) \
+	glmenu_imagescreen.$(OBJEXT) fontset.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 orxonox_LDADD = $(LDADD)
@@ -69,5 +70,5 @@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/array.Po \
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/ai.Po ./$(DEPDIR)/array.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/base_entity.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/base_object.Po ./$(DEPDIR)/camera.Po \
@@ -213,9 +214,8 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
-AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib" "-I./lib" "-I./defs" "-I./font" "-I./network" "-I./glmenu"
+AM_CXXFLAGS = "-I./world_entities" "-I./story_entities" "-I./mathlib" "-I./lib" "-I./defs" "-I./font" "-I./network" "-I./glmenu" "-I./ai"
 AM_LDFLAGS = $(MWINDOWS)
 orxonox_SOURCES = orxonox.cc \
 		 game_loader.cc \
-		 data_tank.cc \
 		 command_node.cc \
 		 keynames.cc \
@@ -228,14 +228,12 @@
 		 track_manager.cc \
 		 light.cc \
-		 \
 		 story_entities/story_entity.cc \
 		 story_entities/campaign.cc \
 		 story_entities/world.cc \
-                 \
 		 world_entities/world_entity.cc \
 		 world_entities/player.cc \
 		 world_entities/environment.cc \
 		 world_entities/skysphere.cc \
-                 \
+		 ai/ai.cc \
 		 importer/array.cc \
 		 importer/objModel.cc \
@@ -243,57 +241,54 @@
 		 importer/material.cc \
 		 importer/texture.cc \
-                 \
 		 mathlib/vector.cc \
 		 mathlib/matrix.cc \
 		 mathlib/curve.cc \
-                 \
+		 lib/data_tank.cc \
 		 lib/ini_parser.cc \
 		 lib/list.cc \
-                 \
 		 glmenu/glmenu_imagescreen.cc \
-                 \
 		 font/fontset.cc 
 
-noinst_HEADERS = ability.h \
-		 data_tank.h \
-		 world_entities/npc.h \
-		 defs/stdincl.h \
+noinst_HEADERS = orxonox.h \
+		 game_loader.h \
+		 track_manager.h \
+		 base_object.h \
+		 p_node.h \
+		 null_parent.h \
+		 helper_parent.h \
 		 glincl.h \
-		 ai.h \
-		 world_entities/environment.h \
-		 orxonox.h \
-		 network/synchronisable.h \
+                 ability.h \
 		 base_entity.h \
-		 defs/error.h \
-		 world_entities/player.h \
 		 camera.h \
-		 lib/ini_parser.h \
 		 power_up.h \
-		 mathlib/vector.h \
 		 keynames.h \
 		 proto_class.h \
-		 story_entities/world.h \
 		 command_node.h \
-		 lib/list.h \
-		 world_entities/shoot_laser.h \
-		 world_entities/world_entity.h \
 		 message_structures.h \
-		 world_entities/shoot_rocket.h \
-		 lib/list_template.h \
+		 light.h \
 		 story_entities/story_entity.h \
 		 story_entities/story_def.h \
-		 game_loader.h \
 		 story_entities/campaign.h \
-		 p_node.h \
-		 null_parent.h \
-		 base_object.h \
-		 helper_parent.h \
-		 track_manager.h \
+		 story_entities/world.h \
+		 world_entities/world_entity.h \
+		 world_entities/player.h \
+		 world_entities/npc.h \
+		 world_entities/environment.h \
+		 world_entities/skysphere.h \
+		 world_entities/shoot_laser.h \
+		 world_entities/shoot_rocket.h \
+		 ai/ai.h \
+		 network/synchronisable.h \
+		 mathlib/vector.h \
 		 mathlib/matrix.h \
 		 mathlib/curve.h \
+		 defs/stdincl.h \
+		 defs/error.h \
+		 defs/debug.h \
+		 lib/data_tank.h \
+		 lib/ini_parser.h \
+		 lib/list.h \
+		 lib/list_template.h \
 		 glmenu/glmenu_imagescreen.h \
-		 defs/debug.h \
-		 world_entities/skysphere.h \
-		 light.h \
 		 font/fontset.h
 
@@ -377,4 +372,5 @@
 	-rm -f *.tab.c
 
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ai.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/array.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/base_entity.Po@am__quote@
@@ -538,4 +534,20 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o skysphere.obj `if test -f 'world_entities/skysphere.cc'; then $(CYGPATH_W) 'world_entities/skysphere.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/skysphere.cc'; fi`
 
+ai.o: ai/ai.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ai.o -MD -MP -MF "$(DEPDIR)/ai.Tpo" -c -o ai.o `test -f 'ai/ai.cc' || echo '$(srcdir)/'`ai/ai.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ai.Tpo" "$(DEPDIR)/ai.Po"; else rm -f "$(DEPDIR)/ai.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='ai/ai.cc' object='ai.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ai.Po' tmpdepfile='$(DEPDIR)/ai.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ai.o `test -f 'ai/ai.cc' || echo '$(srcdir)/'`ai/ai.cc
+
+ai.obj: ai/ai.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ai.obj -MD -MP -MF "$(DEPDIR)/ai.Tpo" -c -o ai.obj `if test -f 'ai/ai.cc'; then $(CYGPATH_W) 'ai/ai.cc'; else $(CYGPATH_W) '$(srcdir)/ai/ai.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ai.Tpo" "$(DEPDIR)/ai.Po"; else rm -f "$(DEPDIR)/ai.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='ai/ai.cc' object='ai.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ai.Po' tmpdepfile='$(DEPDIR)/ai.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ai.obj `if test -f 'ai/ai.cc'; then $(CYGPATH_W) 'ai/ai.cc'; else $(CYGPATH_W) '$(srcdir)/ai/ai.cc'; fi`
+
 array.o: importer/array.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT array.o -MD -MP -MF "$(DEPDIR)/array.Tpo" -c -o array.o `test -f 'importer/array.cc' || echo '$(srcdir)/'`importer/array.cc; \
@@ -665,4 +677,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o curve.obj `if test -f 'mathlib/curve.cc'; then $(CYGPATH_W) 'mathlib/curve.cc'; else $(CYGPATH_W) '$(srcdir)/mathlib/curve.cc'; fi`
+
+data_tank.o: lib/data_tank.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT data_tank.o -MD -MP -MF "$(DEPDIR)/data_tank.Tpo" -c -o data_tank.o `test -f 'lib/data_tank.cc' || echo '$(srcdir)/'`lib/data_tank.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/data_tank.Tpo" "$(DEPDIR)/data_tank.Po"; else rm -f "$(DEPDIR)/data_tank.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/data_tank.cc' object='data_tank.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/data_tank.Po' tmpdepfile='$(DEPDIR)/data_tank.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o data_tank.o `test -f 'lib/data_tank.cc' || echo '$(srcdir)/'`lib/data_tank.cc
+
+data_tank.obj: lib/data_tank.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT data_tank.obj -MD -MP -MF "$(DEPDIR)/data_tank.Tpo" -c -o data_tank.obj `if test -f 'lib/data_tank.cc'; then $(CYGPATH_W) 'lib/data_tank.cc'; else $(CYGPATH_W) '$(srcdir)/lib/data_tank.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/data_tank.Tpo" "$(DEPDIR)/data_tank.Po"; else rm -f "$(DEPDIR)/data_tank.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/data_tank.cc' object='data_tank.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/data_tank.Po' tmpdepfile='$(DEPDIR)/data_tank.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o data_tank.obj `if test -f 'lib/data_tank.cc'; then $(CYGPATH_W) 'lib/data_tank.cc'; else $(CYGPATH_W) '$(srcdir)/lib/data_tank.cc'; fi`
 
 ini_parser.o: lib/ini_parser.cc
@@ -852,5 +880,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/font $(distdir)/glmenu $(distdir)/lib $(distdir)/mathlib $(distdir)/network $(distdir)/story_entities $(distdir)/world_entities
+	$(mkdir_p) $(distdir)/ai $(distdir)/defs $(distdir)/font $(distdir)/glmenu $(distdir)/lib $(distdir)/mathlib $(distdir)/network $(distdir)/story_entities $(distdir)/world_entities
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
Index: orxonox/trunk/src/ai.cc
===================================================================
--- orxonox/trunk/src/ai.cc	(revision 3480)
+++ 	(revision )
@@ -1,32 +1,0 @@
-
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-
-#include "ai.h"
-
-
-using namespace std;
-
-
-
-AI::AI () {}
-
-
-
-AI::~AI () {}
-
-
Index: orxonox/trunk/src/ai.h
===================================================================
--- orxonox/trunk/src/ai.h	(revision 3480)
+++ 	(revision )
@@ -1,15 +1,0 @@
-
-#ifndef _AI_H
-#define _AI_H
-
-#include "data_tank.h"
-
-class AI {
-
- public:
-  AI ();
-  ~AI ();
-
-};
-
-#endif /* _AI_H */
Index: orxonox/trunk/src/ai/ai.cc
===================================================================
--- orxonox/trunk/src/ai/ai.cc	(revision 3481)
+++ orxonox/trunk/src/ai/ai.cc	(revision 3481)
@@ -0,0 +1,32 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+
+#include "ai.h"
+
+
+using namespace std;
+
+
+
+AI::AI () {}
+
+
+
+AI::~AI () {}
+
+
Index: orxonox/trunk/src/ai/ai.h
===================================================================
--- orxonox/trunk/src/ai/ai.h	(revision 3481)
+++ orxonox/trunk/src/ai/ai.h	(revision 3481)
@@ -0,0 +1,15 @@
+
+#ifndef _AI_H
+#define _AI_H
+
+#include "data_tank.h"
+
+class AI {
+
+ public:
+  AI ();
+  ~AI ();
+
+};
+
+#endif /* _AI_H */
Index: orxonox/trunk/src/data_tank.cc
===================================================================
--- orxonox/trunk/src/data_tank.cc	(revision 3480)
+++ 	(revision )
@@ -1,26 +1,0 @@
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   Copyright by: Patrick Boenzli
-   Fixes by:
-*/
-
-
-#include "data_tank.h"
-
-using namespace std;
-
-long DataTank::timeStamp = 0;
-
-DataTank::DataTank () {}
-DataTank::~DataTank () {}
-
-
Index: orxonox/trunk/src/data_tank.h
===================================================================
--- orxonox/trunk/src/data_tank.h	(revision 3480)
+++ 	(revision )
@@ -1,16 +1,0 @@
-
-#ifndef _DATA_TANK_H
-#define _DATA_TANK_H
-
-
-class DataTank {
-
- public:
-  DataTank ();
-  ~DataTank ();
-
-  static long timeStamp;
-
-};
-
-#endif /* _DATA_TANK_H */
Index: orxonox/trunk/src/lib/data_tank.cc
===================================================================
--- orxonox/trunk/src/lib/data_tank.cc	(revision 3481)
+++ orxonox/trunk/src/lib/data_tank.cc	(revision 3481)
@@ -0,0 +1,26 @@
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   Copyright by: Patrick Boenzli
+   Fixes by:
+*/
+
+
+#include "data_tank.h"
+
+using namespace std;
+
+long DataTank::timeStamp = 0;
+
+DataTank::DataTank () {}
+DataTank::~DataTank () {}
+
+
Index: orxonox/trunk/src/lib/data_tank.h
===================================================================
--- orxonox/trunk/src/lib/data_tank.h	(revision 3481)
+++ orxonox/trunk/src/lib/data_tank.h	(revision 3481)
@@ -0,0 +1,16 @@
+
+#ifndef _DATA_TANK_H
+#define _DATA_TANK_H
+
+
+class DataTank {
+
+ public:
+  DataTank ();
+  ~DataTank ();
+
+  static long timeStamp;
+
+};
+
+#endif /* _DATA_TANK_H */